<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
TransactionConfig..::.Snapshot Field
TransactionConfig Class See Also

If true, this transaction will execute with snapshot isolation.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public bool Snapshot

Visual Basic (Declaration)

    Public Snapshot As Boolean

Visual C++

    public:
    bool Snapshot

# Remarks

For databases with UseMVCC set, data values will be read as they are when the transaction begins, without taking read locks. Silently ignored for operations on databases with UseMVCC not set on the underlying database (read locks are acquired).

A DeadlockException will be thrown from update operations if a snapshot transaction attempts to update data which was modified after the snapshot transaction read it.

# See Also

TransactionConfig Class
BerkeleyDB Namespace